Extending Qt Creator Manual | DeployableFile

Extending Qt Creator Manual 4.5.2

# DeployableFile Class

(ProjectExplorer::DeployableFile)

- List of all members, including inherited members

## Public Types

enum | Type { TypeNormal, TypeExecutable }

## Public Functions

| DeployableFile() = default
| DeployableFile(const QString &m_localFilePath, const QString &m_remoteDir, Type type = TypeNormal)
| DeployableFile(const Utils::FileName &localFilePath, const QString &remoteDir, Type type = TypeNormal)
bool | isExecutable() const
bool | isValid() const
Utils::FileName | localFilePath() const
QString | remoteDirectory() const
QString | remoteFilePath() const

## Member Type Documentation

### enum DeployableFile::Type

## Member Function Documentation

### `[default]` DeployableFile::DeployableFile()

Default constructs an instance of DeployableFile.

### DeployableFile::DeployableFile(const QString &m_localFilePath, const QString &m_remoteDir, Type type = TypeNormal)

Default constructs an instance of DeployableFile.

### DeployableFile::DeployableFile(const Utils::FileName &localFilePath, const QString &remoteDir, Type type = TypeNormal)

Default constructs an instance of DeployableFile.

### bool DeployableFile::isExecutable() const

### bool DeployableFile::isValid() const

### Utils::FileName DeployableFile::localFilePath() const

### QString DeployableFile::remoteDirectory() const

### QString DeployableFile::remoteFilePath() const